Subject: Re: [PATCH 1/1] imap-send: include strbuf.h

From: Junio C Hamano <[email-masked]>
Date: Wed, 17 May 2023 11:09:16 -0700

Taylor Blau <[email-masked]> writes:

> On Wed, May 17, 2023 at 10:01:35AM -0700, Junio C Hamano wrote:
>> Junio C Hamano <[email-masked]> writes:
>>
>> >>         if ! gcc -I $(pwd) -E $f | grep -q 'struct strbuf {'
>> > ...
>> > What does the above prove, more than what your regular compilation
>> > that does not fail, tells us?
>>
>> It is actually worse than that, isn't it?  This does not even use
>> the definition in the config.mak.uname, so it is not even matching
>> your build environment.
>>
>> I am uncomfortable to use this as an explanation of what due
>> diligence we did to convince ourselves that this fix should cover
>> all similar issues.  Perhaps I am grossly misunderstanding what your
>> investigation did?
>
> Oof, yes, you are right:
>
>     diff -u \
>       <(gcc -I . -E imap-send.c) \
>       <(gcc -DNO_CURL=1 -I . -E imap-send.c)
>
> How *should* we test this?

My inclination is punt and simply do not to claim that we have done
a good due diligence to ensure with all permutations of ifdef we are
including necessary headers.